loci.formats.in

## Enum SlideBook7Reader.EGraphicType

- java.lang.Object
- - java.lang.Enum<SlideBook7Reader.EGraphicType>
  - - loci.formats.in.SlideBook7Reader.EGraphicType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SlideBook7Reader.EGraphicType>
  Enclosing class:
    SlideBook7Reader

      static enum SlideBook7Reader.EGraphicType
      extends java.lang.Enum<SlideBook7Reader.EGraphicType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `eArrow`
    `eEllipse`
    `eLine`
    `eObjectPath`
    `ePoint`
    `ePolygon`
    `eRectangle`
    `eShape`
    `eVolume`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SlideBook7Reader.EGraphicType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SlideBook7Reader.EGraphicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ePoint

          public static final SlideBook7Reader.EGraphicType ePoint

    - #### eLine

          public static final SlideBook7Reader.EGraphicType eLine

    - #### eRectangle

          public static final SlideBook7Reader.EGraphicType eRectangle

    - #### ePolygon

          public static final SlideBook7Reader.EGraphicType ePolygon

    - #### eVolume

          public static final SlideBook7Reader.EGraphicType eVolume

    - #### eObjectPath

          public static final SlideBook7Reader.EGraphicType eObjectPath

    - #### eArrow

          public static final SlideBook7Reader.EGraphicType eArrow

    - #### eShape

          public static final SlideBook7Reader.EGraphicType eShape

    - #### eEllipse

          public static final SlideBook7Reader.EGraphicType eEllipse

  - ### Method Detail

    - #### values

          public static SlideBook7Reader.EGraphicType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SlideBook7Reader.EGraphicType c : SlideBook7Reader.EGraphicType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SlideBook7Reader.EGraphicType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2026 Open Microscopy Environment